%define hash	696423b68972

Name:		libqxt
Version:	0.7.0
Release:	%mkrel 2
Summary:	Qt extension library
Group:		System/Libraries
License:	CPL or LGPLv2
URL:		http://www.libqxt.org/
Source0:	http://bitbucket.org/libqxt/libqxt/get/v%{version}.tar.gz
# Originally from Fedora:
#
# Fix DSO linking
Patch0:		libqxt-linking.patch

#Debian patches
Patch3:		libqxt-use-system-qdoc3.patch
Patch4:		libqxt-fix-compiler-flags.patch

BuildRequires:	avahi-compat-libdns_sd-devel
BuildRequires:	db4-devel
BuildRequires:	kde4-macros
BuildRequires:	openssl-devel
BuildRequires:	qt4-devel
BuildRequires:	qt4-qdoc3

%description
LibQxt, an extension library for Qt, provides a suite of cross-platform
utility classes to add functionality not readily available in the Qt toolkit.

#---------------------

%define core_major 	0
%define core_lib	%mklibname qxtcore %{core_major}

%package -n	%{core_lib}
Summary:	Extensions to Qt core classes (LibQxt)
Group:		System/Libraries

%description -n	%{core_lib}
LibQxt, an extension library for Qt, provides a suite of cross-platform
utility classes to add functionality not readily available in the Qt toolkit.

The QxtCore module extends QtCore and contains core non-GUI functionality.

%files -n %{core_lib}
%{_qt4_libdir}/libQxtCore.so.%{core_major}
%{_qt4_libdir}/libQxtCore.so.%{core_major}.*

#---------------------

%define widgets_major	0
%define widgets_lib		%mklibname qxtwidgets %{widgets_major}

%package -n	%{widgets_lib}
Summary:	Extensions to Qt widget classes (LibQxt)
Group:		System/Libraries

%description -n	%{widgets_lib}
LibQxt, an extension library for Qt, provides a suite of cross-platform
utility classes to add functionality not readily available in the Qt toolkit.

The QxtWidgets module extends QxtCore and QtGui modules.

%files -n %{widgets_lib}
%{_qt4_libdir}/libQxtWidgets.so.%{widgets_major}
%{_qt4_libdir}/libQxtWidgets.so.%{widgets_major}.*

#---------------------

%define network_major	0
%define network_lib	%mklibname qxtnetwork %{network_major}

%package -n	%{network_lib}
Summary:	Extensions to Qt network classes (LibQxt)
Group:		System/Libraries

%description -n	%{network_lib}
LibQxt, an extension library for Qt, provides a suite of cross-platform
utility classes to add functionality not readily available in the Qt toolkit.

The QxtNetwork module extends QtNetwork module.

%files -n %{network_lib}
%{_qt4_libdir}/libQxtNetwork.so.%{network_major}
%{_qt4_libdir}/libQxtNetwork.so.%{network_major}.*

#---------------------

%define sql_major	0
%define sql_lib		%mklibname qxtsql %{sql_major}

%package -n	%{sql_lib}
Summary:	Extensions to Qt core classes (LibQxt)
Group:		System/Libraries

%description -n	%{sql_lib}
LibQxt, an extension library for Qt, provides a suite of cross-platform
utility classes to add functionality not readily available in the Qt toolkit.

The QxtSql module extends QtSql module.

%files -n %{sql_lib}
%{_qt4_libdir}/libQxtSql.so.%{sql_major}
%{_qt4_libdir}/libQxtSql.so.%{sql_major}.*

#---------------------

%define web_major	0
%define web_lib		%mklibname qxtweb %{web_major}

%package -n	%{web_lib}
Summary:	Library to create web services using Qt (LibQxt)
Group:		System/Libraries

%description -n	%{web_lib}
LibQxt, an extension library for Qt, provides a suite of cross-platform
utility classes to add functionality not readily available in the Qt toolkit.

The QxtWeb module provides tools for creating web services using Qt.

%files -n %{web_lib}
%{_qt4_libdir}/libQxtWeb.so.%{web_major}
%{_qt4_libdir}/libQxtWeb.so.%{web_major}.*

#---------------------

%define zeroconf_major	0
%define zeroconf_lib	%mklibname qxtzeroconf %{zeroconf_major}

%package -n	%{zeroconf_lib}
Summary:	Library to use multicast DNS service discovery in Qt (LibQxt)
Group:		System/Libraries

%description -n	%{zeroconf_lib}
LibQxt, an extension library for Qt, provides a suite of cross-platform
utility classes to add functionality not readily available in the Qt toolkit.

The QxtZeroconf module enables Qt application to easily benefit from Multicast
DNS Service Discovery (Zeroconf) protocols.

%files -n %{zeroconf_lib}
%{_qt4_libdir}/libQxtZeroconf.so.%{zeroconf_major}
%{_qt4_libdir}/libQxtZeroconf.so.%{zeroconf_major}.*

#---------------------

%define devname		%mklibname qxt -d

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Provides:	%{name}-devel = %{version}-%{release}
Provides:	qxt-devel = %{version}-%{release}
Requires:	%{core_lib} = %{version}-%{release}
Requires:	%{widgets_lib} = %{version}-%{release}
Requires:	%{network_lib} = %{version}-%{release}
Requires:	%{sql_lib} = %{version}-%{release}
Requires:	%{web_lib} = %{version}-%{release}
Requires:	%{zeroconf_lib} = %{version}-%{release}

%description -n	%{devname}
This package contains libraries and header files for developing applications
that use LibQxt.

%files -n %{devname}
%doc examples/
%{_bindir}/qxtjsonrpc
%{_qt4_includedir}/Qxt*/
%{_qt4_libdir}/libQxt*.so
%{_qt4_libdir}/*.prl
%{_qt4_libdir}/pkgconfig/*.pc
%{_qt4_plugindir}/designer/pkgconfig/QxtDesignerPlugins.pc
%{_qt4_plugindir}/designer/libQxtDesignerPlugins.so
%{_qt4_datadir}/mkspecs/features/qxt*.prf
%{_datadir}/cmake/Modules/FindQxt.cmake

#---------------------

%prep
%setup -q -n %{name}-%{name}-%{hash}
%autopatch -p1

# We don't want rpath
sed -i '/RPATH/d' src/qxtlibs.pri

%build
%setup_compile_flags
# Does not use GNU configure
./configure \
	-verbose \
	-I %{_includedir}/avahi-compat-libdns_sd \
	-qmake-bin %{_qt4_bindir}/qmake \
	-prefix %{_prefix} \
	-libdir %{_libdir} \
	-debug
%make
%make docs

%install
%make_install INSTALL_ROOT=%{buildroot}

#CMake module
install -Dpm644 features/FindQxt.cmake %{buildroot}%{_datadir}/cmake/Modules/FindQxt.cmake

# We are installing these to the proper location
rm -fr %{buildroot}%{_prefix}/doc/


%changelog
* Wed Mar 16 2016 daviddavid <daviddavid> 0.7.0-2.mga6
+ Revision: 991755
- rediff unappliable fix-compiler-flags patch (since fixed autopatch)

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.7.0-1.mga6
+ Revision: 918597
- 0.7.0 (latest upstream snapshot)
- rediff patch 0
- remove patches 1 and 2 (fixed upstream)
- QxtBerkeley lib is no more
- QxtGui is now called QxtWidgets

* Tue Oct 20 2015 daviddavid <daviddavid> 0.6.2-9.mga6
+ Revision: 892961
- fix empty debugfiles adding -debug configure option

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-8.mga5
+ Revision: 739126
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-7.mga5
+ Revision: 681742
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 wally <wally> 0.6.2-6.mga5
+ Revision: 639291
- fix obsoletes/conflicts

* Sat Feb 22 2014 wally <wally> 0.6.2-5.mga5
+ Revision: 595575
- use libqxt again as source pkg name
- use source tarball directly from upstream
- add patches from Debian
- rediff linking patch
- libify pkg

* Mon Oct 21 2013 umeabot <umeabot> 0.6.2-4.mga4
+ Revision: 539503
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 matteo <matteo> 0.6.2-3.mga4
+ Revision: 492359
- drop wrong require for devel pkg

* Sun Oct 06 2013 matteo <matteo> 0.6.2-2.mga4
+ Revision: 492334
- fixed wrong require (avahi-core-devel)

* Sun Oct 06 2013 matteo <matteo> 0.6.2-1.mga4
+ Revision: 492321
- fix the %%setup macro invocation
- renamed libqxt package to qxt
- changed pkg name from libqxt to qxt
- proper naming conventions (using mklibname)
- fixed groups
- cleanup spec file
- Import Fedora package


* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 26 2011 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.2-1
- Update to 0.6.2

* Thu Aug 25 2011 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.1-3
- Fix wrong includes RHBZ#733222

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 25 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.1-1
- Update to 0.6.1

* Sun Jul 18 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-3
- Include patch to support for mod4 in qxtglobalshortcut
- Include patch to support multimedia keys

* Tue Apr 20 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-2
- This is the real 0.6.0 (upstream changed their tarball)

* Sun Apr 11 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-1
- Use qt4 macros more extensively.
- Update to 0.6.0 final.

* Wed Apr 07 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-0.2.20100407hg
- New snapshot. The previous tarball got damaged somehow.
- Remove configure tests hack. Upstream fixed it upon our warning.

* Sat Mar 27 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-0.1.20100327hg
- Initial build
